Subject: bug#18626: 24.3.94; communication with subprocess is slow

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Oct 2014 05:46:12 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Stephen Leake <[email-masked]>,  [email-masked]
> Date: Sat, 04 Oct 2014 18:29:42 -0400
> 
> > Anyway, for 24.4 all I can suggest is a variable to replace the fixed
> > 20 msec value.
> 
> But why is this needed in 24.4?  What has changed w.r.t 24.3?

Unlike in 24.3, we now set the write end of the pipe to be in no-wait
mode, and use the EWOULDBLOCK machinery in send_process to send large
amounts of material down the pipe.  This evidently makes the writing
slower.